#MCServerMaker
That's right! Create your own server with ease. A lightweight and open source solution for you who don't have a good time trying to find the right server files for creating a Minecraft server.

#Downloads
Download the application either directly from GitHub, [Minecraft Forum](http://www.minecraftforum.net/forums/mapping-and-modding/minecraft-tools/2584073) or [Planetminecraft](http://www.planetminecraft.com/mod/183-minecraft-server-maker/).

#Usage
1. Download java file.
2. Open a terminal and type `java -jar X.jar` where `X` is the downloaded file.


#Command line arguments
| Argument   | Explanation |
| ---------- |:-----------------------------------------------:|
| --dir= | select a dir instead of using the JFileChooser |
| --server-url= | URL for information fetcher |
| --debug | turn debugging on |
| --help | view help |

#Errorlevels
Here's all possible errorlevels, to be sure you retrive a errorlevel on Windows run the jar file with the command: `start /wait "java -jar server_maker.jar"`.


| Errorlevel | Reason |
| ---------- |:-----------------------------------------------:|
| 1          | unknown error |
| 2          | HDD I/O error, or internet issues  |
| 3          | not enough permissions / drive letter not found |


#License
MCServerMaker - make your own Minecraft server in minutes

Copyright (C) 2016 Hawaii Impossible Force team

This program Is free software: you can redistribute it And/Or modify
it under the terms Of the GNU General Public License As published by
the Free Software Foundation, either version 3 Of the License, Or
(at your option) any later version.

This program Is distributed In the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty Of
MERCHANTABILITY Or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License For more details.

You should have received a copy Of the GNU General Public License
along with this program.  If Not, see <http://www.gnu.org/licenses/>.